﻿@{
    Layout = null;
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>CutiIntalogi | Forgot Password (v2)</title>
    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/fontawesome-free/css/all.min.css">
    <!-- icheck bootstrap -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="~/AdminLTE/dist/css/adminlte.min.css">
    <!-- Toast-->
    <link rel="stylesheet" href="~/AdminLTE/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css" />
    <link rel="stylesheet" href="~/AdminLTE/plugins/toastr/toastr.min.css" />
</head>
<body class="hold-transition login-page">
    <div class="login-box">
        <div class="card card-outline card-primary">
            <div class="card-header text-center">
                <img src="~/Images/icon-intalogi.png" alt="AdminLTE Logo" class="brand-image" style="width:200px; height:auto">
                <div></div>
                <a href="#" class="h1 text-cyan" style="font-size:15px;font-family:'Lucida Sans Typewriter'">
                    <b>CutiIntalogi</b>
                </a>
            </div>
            @*<div class="card-header text-center">
                <a href="#" class="h1" style="font-size:20px; "><b>Cuti</b>Intalogi</a>
            </div>*@
            <div class="card-body">
                <p class="login-box-msg">Enter your NIK and email to reset your password</p>
                <form id="forgotForm">
                    <div class="form-group input-group mb-3">
                        <input type="text" name="nik" id="nik" class="form-control" placeholder="NIK">
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-user"></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group input-group mb-3">
                        <input type="email" name="email" id="email" class="form-control" placeholder="Email">
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-envelope"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <button type="submit" id="btnSend" class="btn btn-primary btn-block">Request new password</button>
                        </div>
                        <!-- /.col -->
                    </div>
                </form>
                <p class="mt-3 mb-1">
                    <a href="@Url.Action("Index", "LoginPage")">Login</a>
                </p>
            </div>
            <!-- /.login-card-body -->
        </div>
    </div>
    <!-- /.login-box -->
    <!-- jQuery -->
    <script src="~/AdminLTE/plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="~/AdminLTE/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="~/AdminLTE/dist/js/adminlte.min.js"></script>
    <!-- jquery-validation -->
    <script src="~/AdminLTE/plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="~/AdminLTE/plugins/jquery-validation/additional-methods.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="~/AdminLTE/dist/js/demo.js"></script>
    <!-- Toastr -->
    <script src="@Url.Content("~/AdminLTE/plugins/toastr/toastr.min.js")"></script>
    <script src="~/AdminLTE/plugins/sweetalert2/sweetalert2.min.js"></script>
    <script src="~/AdminLTE/plugins/toastr/toastr.min.js"></script>

    <!-- Page specific script -->
    <script type="text/javascript">
        $(function () {
            $.validator.setDefaults({
                submitHandler: function () {
                    SubmitForgot();
                }
            });
            $('#forgotForm').validate({
                rules: {
                    nik: {
                        required: true
                    },
                    email: {
                        required: true
                    }
                },
                messages: {
                    nik: {
                        required: "Please enter a NIK"
                    },
                    email: {
                        required: "Please enter a email address"
                    }
                },
                errorElement: 'span',
                errorPlacement: function (error, element) {
                    error.addClass('invalid-feedback');
                    element.closest('.form-group').append(error);
                },
                highlight: function (element, errorClass, validClass) {
                    $(element).addClass('is-invalid');
                },
                unhighlight: function (element, errorClass, validClass) {
                    $(element).removeClass('is-invalid');
                }
            });
        });

        function SubmitForgot() {
            var submitData = {};
            submitData.nik = $("#nik").val();
            submitData.email = $("#email").val();
            var b = JSON.stringify(submitData);
            var str = b.replace(/\\/g, '');
            $('#btnSend').text('Sending...'); //change button text
            $('#btnSend').attr('disabled', true); //set button disable
            @*$.ajax({
                contentType: 'application/JSON; charset=utf-8',
                url: '@Url.Action("AjaxResetPassword", "ForgotPassword")',
                type: 'POST',
                data: { body: str },
                success: function (data) {
                    Swal.close();
                    if (data.metaData.code == '200') {
                        toastr.success("Success reset password, please chek your Email!", "Success!", { "timeOut": 5000 });
                        $('#btnSend').text('Request new password'); //change button text
                        $('#btnSend').attr('disabled', false); //set button enable
                    } else {
                        toastr.warning(data.metaData.message, "Sorry!", { "timeOut": 5000 });
                        $('#btnSend').text('Request new password'); //change button text
                        $('#btnSend').attr('disabled', false); //set button enable
                    }
                },
                error: function (eventError, textStatus, errorThrown) {
                    toastr.error("Gagal Submit Data.", 'Failed!', { "timeOut": 5000 });
                    $('#btnSend').text('Request new password'); //change button text
                    $('#btnSend').attr('disabled', false); //set button enable
                }
            });*@

            $.ajax({
                url: "@Url.Content("~/ForgotPassword/AjaxResetPassword")",
                type: "POST",
                data: { body: str },
                dataType: "JSON",
                success: function (data) {
                    Swal.close();
                    if (data.metaData.code == "200") {
                        toastr.success("Success reset password, please chek your Email!", "Success!", { "timeOut": 4000 });
                        var delayInMilliseconds = 4000; //1 second
                            setTimeout(function () {
                                 window.location.href = '@Url.Action("Index", "LoginPage")';
                            }, delayInMilliseconds);
                    } else {
                        toastr.warning(data.metaData.message, "Sorry!", { "timeOut": 5000 });
                        $('#btnSend').text('Request new password'); //change button text
                        $('#btnSend').attr('disabled', false); //set button enable
                    }
                },
                error: function (eventError, textStatus, errorThrown) {
                    toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                    $('#btnSend').text('Request new password'); //change button text
                    $('#btnSend').attr('disabled', false); //set button enable
                }
            });
        }
    </script>
</body>
</html>
